## WebKitURIRequest WebKitURIRequest |

## Synopsis

    struct              WebKitURIRequest;
    WebKitURIRequest *  webkit_uri_request_new              (const gchar *uri);
    const gchar *       webkit_uri_request_get_uri          (WebKitURIRequest *request);

## Object Hierarchy

      GObject
       +----WebKitURIRequest

## Properties

      "uri"                      gchar*                : Read / Write / Construct Only

## Description

## Details

### struct WebKitURIRequest

    struct WebKitURIRequest;

### webkit_uri_request_new ()

    WebKitURIRequest *  webkit_uri_request_new              (const gchar *uri);

Creates a new WebKitURIRequest for the given URI.

`uri` : | an URI
Returns : | a new WebKitURIRequest

### webkit_uri_request_get_uri ()

    const gchar *       webkit_uri_request_get_uri          (WebKitURIRequest *request);

`request` : | a WebKitURIRequest
Returns : | the uri of the WebKitURIRequest

## Property Details

### The `"uri"` property

      "uri"                      gchar*                : Read / Write / Construct Only

The URI to which the request will be made.

Default value: NULL